gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget for selecting a file or directory. A contains a and a browse dialog. Gtk.VBox Gtk.Editable GLib.IWrapper Atk.Implementor System.IDisposable
- Method
  System.Void `` `` Select the text of the between and . an object of type an object of type
- Method
  System.String `` `` Gets the text of the between and . an object of type an object of type an object of type
- Method
  System.Void `` `` Deletes the text of the between and . an object of type an object of type
- Method
  System.Void To be added
- Method
  System.Void To be added
- Method
  System.Boolean `` `` To be added an object of type an object of type an object of type
- Method
  System.Void To be added
- Method
  System.Void To be added
- Method
  System.Void `` `` Construct a . an object of type an object of type
- Method
  System.String `` Gets the full absolute path of the file from the entry. an object of type an object of type If is , nothing is tested and the path is returned. If is , then the path is only returned if the path actually exists. In case the entry is a directory entry (see ), then if the path exists and is a directory then it is returned; if not, it is assumed it was a file so we try to strip it, and try again. It allocates memory for the returned string.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of FileEntry, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new .
  an object of type
  an object of type
  an object of type
- Property
  System.Boolean Whether the should be editable by the user. an object of type an object of type
- Property
  System.Int32 The cursor position in the . an object of type an object of type
- Property
  System.String Set the title of the browse dialog. an object of type an object of type The new title will go into effect the next time the browse button is pressed.
- Property
  Gtk.Entry The associated . an object of type
- Property
  System.Boolean Whether the browse dialog is modal. an object of type an object of type
- Property
  System.String Set the default path of browse dialog. an object of type an object of type The default path is only used if the entry is empty or if the current path of the entry is not an absolute path, in which case the default path is prepended to it before the dialog is started.
- Property
  System.String The value of the internal . an object of type an object of type
- Property
  System.String Title of the browse dialog. an object of type an object of type
- Property
  System.Boolean Whether this is a directory only entry. an object of type an object of type If , then will check for the file being a directory, and the browse dialog will have the file list disabled.
- Property
  System.String The ID for the associated history. an object of type an object of type
- Property
  Gnome.Entry The associated . an object of type
- Event
  System.EventHandler Emitted when the text is changed into the .
- Event
  System.EventHandler Emitted when the browse button is clicked.
- Event
  System.EventHandler Emitted when the is activated.
- Method
  System.Void `` `` Inserts into the at . an object of type an object of type
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Event
  Gtk.TextDeletedHandler Emitted when text is deleted into the .
- Event
  Gtk.TextInsertedHandler Emitted when text is inserted into the .
- Property
  System.Boolean To be added a To be added
- Property
  Gtk.FileChooserAction To be added a To be added
- Property
  System.Boolean To be added a To be added